AuditEntry (CMDB Model API)
Keywords: com.collation.platform.model.provision.runtime.AuditEntry interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.runtime
Interface AuditEntry

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface AuditEntry

extends ModelObject

Naming Rules:
  0="parent,taskId,timestamp"
Persistable:
  true
Table Name:
  PARAMVAL
Display Name:
  parent

Method Summary
`java.lang.String` | `getMessage()`
`Deployment` | `getParent()`
`long` | `getTaskId()`
`long` | `getTimestamp()`
`boolean` | `hasMessage()`
`boolean` | `hasParent()`
`boolean` | `hasTaskId()`
`boolean` | `hasTimestamp()`
`void` | `setMessage(java.lang.String s)`
`void` | `setParent(Deployment parent)`
`void` | `setTaskId(long taskId)`
`void` | `setTimestamp(long ts)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(Deployment parent)

### getParent

    Deployment getParent()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasParent

    boolean hasParent()

### setTimestamp

    void setTimestamp(long ts)

### getTimestamp

    long getTimestamp()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasTimestamp

    boolean hasTimestamp()

### setTaskId

    void setTaskId(long taskId)

### getTaskId

    long getTaskId()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasTaskId

    boolean hasTaskId()

### setMessage

    void setMessage(java.lang.String s)

### getMessage

    java.lang.String getMessage()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMessage

    boolean hasMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD